Bug 57344 - UI: 'Edit Style' item superfluous in TABLE related context menus if not all table is selected
Summary: UI: 'Edit Style' item superfluous in TABLE related context menus if not all t...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
3.6.0.2 rc
Hardware: x86-64 (AMD64) All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ImpressDraw-Tables ImpressDraw-Styles Table-Styles
  Show dependency treegraph
 
Reported: 2012-11-20 21:26 UTC by Bastian
Modified: 2016-09-17 20:53 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Presentation containing the problematic table. (64.24 KB, application/vnd.oasis.opendocument.presentation)
2012-11-20 21:26 UTC, Bastian
Details
Removed all other slides from the presentation except the one with the problem (21.75 KB, application/vnd.oasis.opendocument.presentation)
2012-11-20 21:29 UTC, Rob Snelders
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bastian 2012-11-20 21:26:21 UTC
Created attachment 70330 [details]
Presentation containing the problematic table.

On slide 3 in the attachment is a table I have created. Upon clicking inside the table, marking all cells within, right-clicking and select "Edit Style" nothing happens. Instead the slide does not react and it is not possible to select any other objects, unless you go  to the "Outline" tab and back to "Normal".

I am using LibreOffice Impress 3.6.2.2 and am on Arch Linux 64-bit.
Comment 1 Rob Snelders 2012-11-20 21:29:38 UTC
Created attachment 70331 [details]
Removed all other slides from the presentation except the one with the problem

Confirmed the bug with LO 3.6.0.2 and LO 3.7.0.0-alpha on Ubuntu 12.04 x86_64
Comment 2 Rainer Bielefeld Retired 2012-11-21 06:44:00 UTC
The question is: What can be expected? I tested with Rob's reduced sample (closed without saving and reopened for each test) and with parallel installation of Master "LOdev  4.0.0.0.alpha0+   -  ENGLISH UI / German Locale  [Build ID: a2b3ee)]"  {tinderbox: @6, pull time 2012-11-13 06:07:28} on German WIN7 Home Premium (64bit) with separate /4 User Profile for Master Branch

a) Click into cell A1 so that caret flashes in "Grundfos" 
I can reproduce the reported problem that 'Styles' submenu item does nothing, but on the other hand I did not find a way to do anything useful with Styles (what appear after <f11>.  These styles only can be applied for the complete table

So I did an additional test

b) Click table, use styles with <f11>
I clicked the table and then <esc>. After next <esc> control points would disappear. Now <f11> if necessary to see styles pane
I can apply the styles like "Dimension line", "First Line Indent",  "Heading", Object with shadow" to all table, that works.


I did an additional test
c) Click table, use Style Dialog
I clicked the table and then <esc>. After next <esc> control points would disappear
Then 'Right click -> Edit Style', Styles dialog appears and I can edit the currently selected style "default"

All this is not related to that particular document and not limited to Impress, same with Draw.
That's nothing new, I see the same behavior with 3.5.7.2 and 3.4.5

My conclusions:
A) Currently the "Edit Style" item in the context menu is superfluous if not the whole table is selected, because the current concept seems not to allow to edit styles here, because styles only can be applied to complete table.

B) I believe we have to rethink table concept in some points, but that is a rather complex thing. I wonder who might be our expert for that.


@Bastian, Rob
Do you agree with my conclusion for the current situation?
Comment 3 Bastian 2012-11-21 14:00:37 UTC
The reason to that I pressed "Edit style" was because I wanted to change the the visual appearance of the table. I now know that this is done by right-clicking and choosing "Tables..". Perhaps I misunderstood what exact function "Edit style" has. Neither did I know that it was possible to select the table without editing its contents. This might be because clicking one time brings me to the content editor of the table immediately. Perhaps it would be ideal if an object as a whole is selected on first click and contents become editable on second click. 

That said, I agree with you on your conclusions. What exactly do you mean with point B though? Rethink how a table is supposed to be created or?
Comment 4 QA Administrators 2015-04-19 03:20:59 UTC Comment hidden (obsolete)
Comment 5 Bastian 2015-04-19 09:16:05 UTC
Tested again in LibreOffice 4.3.6.2 on Arch Linux 64-bit.

Still nothing happens when clicking 'Edit Style'. But it has no negative consequence, ie. I can select any other object fine without the need to switch between 'Outline' tab and 'Normal' tab.
Comment 6 Yousuf Philips (jay) (retired) 2015-06-19 20:00:02 UTC
Tested on 5.1 master and had to switch to outline view get back to regular usage. I'd suggest just removing the entry as it doesnt seem to do anything whether inside a table or selecting the table object, and doubt that Impress/Draw has table styles.
Comment 7 Buovjaga 2015-06-19 20:13:35 UTC
Edit style does work if you:
1. Create table
2. Make it so no cells are selected/blue
3. Select the table as object
4. Edit style from context menu

Then it opens a dialog that has, among others, a Shadowing tab.
Comment 8 Heiko Tietze 2016-06-14 07:05:38 UTC
"Edit Style" opens the paragraph style dialog for table contents (or whatever style is being used) in Writer. Should be the same on Draw (and Impress, btw). Currently the style is not used properly at all, cf. tdf#43145.
Comment 9 Heiko Tietze 2016-09-14 11:09:20 UTC
Table styles as known in Writer (see bug 34391) should be also available at Draw/Impress.

normal -> enhancement, ux -> /done